Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data.event
Interface StoreListener

All Known Implementing Classes:
  StoreListenerAdapter

    public interface StoreListener

`Store` listener interface.

Method Summary
`boolean` | `doBeforeLoad(Store store)` Fires before a request is made for a new data object.
`void` | `onAdd(Store store, Record[] records, int index)` Fires when Records have been added to the Store
`void` | `onClear(Store store)` Fires when the data cache has been cleared.
`void` | `onDataChanged(Store store)` Fires when the data cache has changed, and a widget which is using this Store as a Record cache should refresh its view.
`void` | `onLoad(Store store, Record[] records)` Fires after a new set of Records has been loaded.
`void` | `onLoadException(java.lang.Throwable error)` Fires if an exception occurs in the Proxy during loading.
`void` | `onRemove(Store store, Record record, int index)` Fires when a Record has been removed from the Store.
`void` | `onUpdate(Store store, Record record, Record.Operation operation)` Fires when a Record has been updated.

Method Detail

### onAdd

    void onAdd(Store store,
               Record[] records,
               int index)

  Fires when Records have been added to the Store

  Parameters:
    `store` - this
    `records` - the records added
    `index` - the index at which the record(s) were added

### doBeforeLoad

    boolean doBeforeLoad(Store store)

  Fires before a request is made for a new data object. If the beforeload handler returns false the load action will be canceled.

  Parameters:
    `store` - this
  Returns:
    false to cancel the load action

### onClear

    void onClear(Store store)

  Fires when the data cache has been cleared.

  Parameters:
    `store` - this

### onDataChanged

    void onDataChanged(Store store)

  Fires when the data cache has changed, and a widget which is using this Store as a Record cache should refresh its view.

  Parameters:
    `store` - this

### onLoad

    void onLoad(Store store,
                Record[] records)

  Fires after a new set of Records has been loaded.

  Parameters:
    `store` - this
    `records` - the Records that were loaded

### onLoadException

    void onLoadException(java.lang.Throwable error)

  Fires if an exception occurs in the Proxy during loading. When using HttpProxy, `HttpStoreLoadException` is raised if an exception occurs.

  Parameters:
    `error` - the error

### onRemove

    void onRemove(Store store,
                  Record record,
                  int index)

  Fires when a Record has been removed from the Store.

  Parameters:
    `store` - this
    `record` - the Record that was removed
    `index` - the index at which the record was removed

### onUpdate

    void onUpdate(Store store,
                  Record record,
                  Record.Operation operation)

  Fires when a Record has been updated.

  Parameters:
    `store` - this
    `record` - the Record that was updated
    `operation` - the update operation being performed
  See Also:
    `Record.EDIT`, `Record.REJECT`, `Record.COMMIT`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD